#!/bin/bash

if [ $# -eq 2 ]; then
	export _JAVA_OPTIONS="-Xmx16G"
	./257844/build.sh
	sudo echo 1
	echo "Running with $1 processes and $2 messages"
	yes "" | ./validate.py -r 257844/run.sh -b fifo -l 257844/bin/logs -p $1 -m $2
else
	echo "Missing Arguments ..."
	echo "Usage: $0 process_count message_count"
fi
